package edu.nju.entities;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document
public class UserToItem implements java.io.Serializable{

    private static final long serialVersionUID = -5082515228801224799L;

    @Id
    private String id;

    private String worker_id;

    private List<String> item_id;

    private String job_id;

    public UserToItem(String worker_id, List<String> item_id, String job_id) {
        this.item_id = item_id;
        this.worker_id = worker_id;
        this.job_id = job_id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<String> getItem_id() {
        return item_id;
    }

    public void setItem_id(List<String> item_id) {
        this.item_id = item_id;
    }

    public String getWorker_id() {
        return worker_id;
    }

    public void setWorker_id(String worker_id) {
        this.worker_id = worker_id;
    }

    public String getJob_id() {
        return job_id;
    }

    public void setJob_id(String job_id) {
        this.job_id = job_id;
    }
}
