package edu.nju.entities;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document
public class Job implements java.io.Serializable{

    private static final long serialVersionUID = 3417624501014997684L;

    @Id
    private String id;

    private String description;

    private String name;

    private String create_time_millis;

    private String device_model;

    private String device_brand;

    private String device_os;

    private String script_location;

    private String report_location;

    private String log_location;

    public Job(String description, String name, String create_time_millis, String device_model, String device_brand, String device_os, String script_location, String report_location, String log_location) {
        this.description = description;
        this.name = name;
        this.create_time_millis = create_time_millis;
        this.device_model = device_model;
        this.device_brand = device_brand;
        this.device_os = device_os;
        this.script_location = script_location;
        this.report_location = report_location;
        this.log_location = log_location;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String desciption) {
        this.description = desciption;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCreate_time_millis() {
        return create_time_millis;
    }

    public void setCreate_time_millis(String create_time_millis) {
        this.create_time_millis = create_time_millis;
    }

    public String getDevice_model() {
        return device_model;
    }

    public void setDevice_model(String device_model) {
        this.device_model = device_model;
    }

    public String getDevice_brand() {
        return device_brand;
    }

    public void setDevice_brand(String device_brand) {
        this.device_brand = device_brand;
    }

    public String getDevice_os() {
        return device_os;
    }

    public void setDevice_os(String device_os) {
        this.device_os = device_os;
    }

    public String getScript_location() {
        return script_location;
    }

    public void setScript_location(String script_location) {
        this.script_location = script_location;
    }

    public String getReport_location() {
        return report_location;
    }

    public void setReport_location(String report_location) {
        this.report_location = report_location;
    }

    public String getLog_location() {
        return log_location;
    }

    public void setLog_location(String log_location) {
        this.log_location = log_location;
    }

}
